TOUCH(1)

NUME
touch - schimbă marca de timp a fișierelor

SINOPSIS
touch [OPȚIUNE]... FIȘIER...

DESCRIERE

Actualizează orele de acces și modificare ale fiecărui FIȘIER la ora curentă.

Un argument FIȘIER care nu există este creat gol, cu excepția cazului în care una dintre opțiunile -c sau -h este furnizată.

Argumentul FIȘIER „-” este tratat în mod special: determină ca touch să modifice marcajele de timp ale fișierului asociat cu ieșirea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a  schimbă numai timpul de acces

-c, --no-create
    nu creează niciun fel de fișiere

-d, --date=ȘIR
    analizează ȘIRul și-l utilizează în locul orei curente

-f  (ignorată)

-h, --no-dereference
    afectează fiecare legătură simbolică în locul oricărui fișier la care se face referire (util numai pe sistemele care pot modifica marcajele de timp ale unei legături simbolice)

-m  modifică doar ora de modificare

-r, --reference=FIȘIER
    utilizează orele acestui fișier în loc de ora curentă

-t [[SS]AA]LLZZhhmm[.ss]
    utilizează ora specificată în locul orei curente, cu un format de dată-oră care diferă de cel al lui -d. NT: Secol|An|Lună|Zi

--time=CUVÂNT
    specifică care este ora și data care trebuie modificată: ora de acces (-a): „access”, „atime”, „use”; ora de modificare (-m): „modify” sau „mtime”

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

ȘIR DE DATĂ
„--date=ȘIR” este un șir de date în format liber, care poate fi citit de oameni, cum ar fi „Dum, 29 feb 2004 16:21:42 +0300” sau „29.02.2004 16:21:42” sau chiar „joia viitoare”. Un șir de date poate conține elemente care indică data calendaristică, ora din zi, fusul orar, ziua săptămânii, ora relativă, data relativă și numere. Un șir gol indică începutul zilei. Formatul șirului de date este mai complex decât este ușor documentat aici, dar este descris complet în documentația «info».

AUTOR
Scris de Paul Rubin, Arnold Robbins, Jim Kingdon, David MacKenzie și Randy Smith.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/touch>
sau local rulând comanda: «info '(coreutils) touch invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Laurențiu Buzdugan <lbuz@rolix.org> și Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.